org.apache.synapse.commons.evaluators.config

## Class NotSerializer

- java.lang.Object
- - org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer
  - - org.apache.synapse.commons.evaluators.config.NotSerializer

- All Implemented Interfaces:
    EvaluatorSerializer

      public class NotSerializer
      extends AbstractEvaluatorSerializer

  Serialize the `NotEvaluator` to the XML configuration defined in the `NotFactory`.

- - ### Field Summary

    - ### Fields inherited from class org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer

      `fac, log, nullNS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotSerializer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.axiom.om.OMElement` | `serialize(org.apache.axiom.om.OMElement parent, Evaluator evaluator)` Serialze an Evaluator configuration to a XML element.

    - ### Methods inherited from class org.apache.synapse.commons.evaluators.config.AbstractEvaluatorSerializer

      `serializeChild, serializeChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NotSerializer

          public NotSerializer()

  - ### Method Detail

    - #### serialize

          public org.apache.axiom.om.OMElement serialize(org.apache.axiom.om.OMElement parent,
                                                Evaluator evaluator)
                                                  throws EvaluatorException

      Description copied from interface: `EvaluatorSerializer`
      Serialze an Evaluator configuration to a XML element.
      Parameters:
        `parent` - if not null the serialize element will be added to the parent
        `evaluator` - The `Evaluator` object to be serialized
      Returns:
        `OMElement` containing the configuration
      Throws:
        `EvaluatorException` - if an error occurs while serializing

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.